@ECHO OFF
CLS
SET inputN=%~n1

TITLE CC65 - Compile %inputN%.c
CC65 -t none -O --cpu 65C02 -o Temp\%inputN%.s %inputN%.c
IF %errorlevel% NEQ 0 GOTO ERROR

TITLE CA65 - Assemble %inputN%.c
CA65 --cpu 65C02 -o Temp\%inputN%.o Temp\%inputN%.s
IF %errorlevel% NEQ 0 GOTO ERROR

IF NOT EXIST Include\Interrupt.o (
	ECHO Interrupt.o missing!
	CA65 --cpu 65C02 -o Include\Interrupt.o Include\Interrupt.s
)
IF NOT EXIST Include\Serial.o (
	ECHO Serial.o missing!
	CA65 --cpu 65C02 -o Include\Serial.o Include\Serial.s
)

TITLE LD65 - Link everything together
REM LD65 -C Config\SBC.cfg -m main.map -v Include\Serial.o Include\Interrupt.o Temp\%inputN%.o Config\SBC.lib
LD65 -C Config\SBC.cfg -m main.map -v Include\Interrupt.o Temp\%inputN%.o Config\SBC.lib
IF %errorlevel% NEQ 0 GOTO ERROR

SET /p x=[O]pen Folder?
IF "%x%" == "o" GOTO OPEN
IF "%x%" == "O" GOTO OPEN
EXIT

:OPEN
%SystemRoot%\explorer.exe "%inputP%"
EXIT

:ERROR
PAUSE
EXIT