; ---------------------------------------------------------------------------
; Interrupt.s
; ---------------------------------------------------------------------------
;
; Interrupt handler
;

.export _brk_isr, _irq_isr, _nmi_isr

.segment "CODE"

.PC02		; Force 65C02 assembly mode

; ---------------------------------------------------------------------------
; Break (BRK) Service Routine

_brk_isr:
	NOP
RTI

; ---------------------------------------------------------------------------
; Interrupt (IRQ) Service Routine

_irq_isr:
	NOP
RTI

; ---------------------------------------------------------------------------
; Non-Maskable Interrupt (NMI) Service Routine

_nmi_isr:
	NOP
RTI




